/*-------------------------Copyright Notice ---------------------------------
                 Copyright (c) 1996  NETBULA, LLC
                    All Rights Reserved

This generated text is a part of the source code of a computer software.
It contains proprietary information and trade secrets of NETBULA, LLC.
No part of this copyrighted work may be reproduced or disclosed by any
means without the prior written permission from the copyright owner.

No part of this source code nor its compiled form may be used in a commercial
software unless authorized by a license agreement between you and the copyright
owner, Netbula, LLC.

Netbula, LLC is not liable under any theory for any direct or indirect damage
resulted from using this generated source code.

For license information, please contact Netbula at:
Netbula, LLC  P.O. Box 99335 Emeryville CA 94662 USA
----------------------------------------------------------------------------*/
#define POWERRPC_XDR
#define POWERRPC_CLIENT
#include "back.h"
static char *version_str="@(#)powerRPC V1.1 MxTF";
;
CLIENT* BACK_1_handle = 0;
struct timeval BACK_1_timeout = {60, 0};
int	returnQuote_wrap(CLIENT* pclnt, struct timeval* ptimeout, struct returnQuote_in_t* pIn, struct returnQuote_out_t* pOut){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     RETURNQUOTE,
	                     (xdrproc_t)xdr_returnQuote_in_t,
	                     (void*)pIn,
	                     (xdrproc_t)xdr_returnQuote_out_t,
	                     (void*)pOut,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
		clnt_perror(pclnt,"returnQuote");
	}
	return ret_code;
}

void	returnQuote(stkQuote*	quote){
	returnQuote_in_t	Input;
	returnQuote_out_t	Output;

	struct timeval timeOut;
	memset(&Output, 0, sizeof(Output));
	Input.quote = quote;

	timeOut = BACK_1_TIMEOUT;
	returnQuote_wrap(BACK_1_HANDLE, &timeOut, &Input, &Output);

}

CLIENT*	back_bind(char* host, u_long prog, u_long ver,char* proto) {
	char * protoc = "tcp";
	ver = (ver==0? BACK_1 : ver);
	prog = (prog==0? BACK : prog );
	protoc = (proto==(char*)0? protoc : proto);
	BACK_1_handle = clnt_create(host, prog, ver, protoc);
	return BACK_1_handle;
}

void	back_bind_handle(CLIENT* pclnt){
	BACK_1_handle = pclnt;
}

void	back_unbind(CLIENT* pclnt) {
	pclnt  = (pclnt==0? BACK_1_handle: pclnt);
	if(pclnt)
		clnt_destroy(pclnt);
}

