/*-------------------------Copyright Notice ---------------------------------
                 Copyright (c) 1996  NETBULA, LLC
                    All Rights Reserved

This generated text is a part of the source code of a computer software.
It contains proprietary information and trade secrets of NETBULA, LLC.
No part of this copyrighted work may be reproduced or disclosed by any
means without the prior written permission from the copyright owner.

No part of this source code nor its compiled form may be used in a commercial
software unless authorized by a license agreement between you and the copyright
owner, Netbula, LLC.

Netbula, LLC is not liable under any theory for any direct or indirect damage
resulted from using this generated source code.

For license information, please contact Netbula at:
Netbula, LLC  P.O. Box 99335 Emeryville CA 94662 USA
----------------------------------------------------------------------------*/
#define POWERRPC_XDR
#include "back.h"
static char *version_str="@(#)powerRPC V1.1 MxTF";
;

bool_t xdr_stkQuote(XDR*xdrp, stkQuote* pstkQuote){

	{
	unsigned int maxlen = 8;
	if(!xdr_opaque(xdrp, (char*)pstkQuote->Ticker, maxlen))
		return 0;
	}
	if(!xdr_double(xdrp, &pstkQuote->Low))
		return 0;
	if(!xdr_double(xdrp, &pstkQuote->High))
		return 0;
	if(!xdr_double(xdrp, &pstkQuote->Close))
		return 0;

	return 1;
}


bool_t xdr_returnQuote_in_t(XDR*xdrp, struct returnQuote_in_t* preturnQuote_in_t){

	if(!xdr_pointer(xdrp, (char**)&preturnQuote_in_t->quote, sizeof(stkQuote), (xdrproc_t)xdr_stkQuote))
		return 0;

	return 1;
}


bool_t xdr_returnQuote_out_t(XDR*xdrp, struct returnQuote_out_t* preturnQuote_out_t){


	return 1;
}

