/*-------------------------Copyright Notice ---------------------------------
                 Copyright (c) 1996  NETBULA, LLC
                    All Rights Reserved

This generated text is a part of the source code of a computer software.
It contains proprietary information and trade secrets of NETBULA, LLC.
No part of this copyrighted work may be reproduced or disclosed by any
means without the prior written permission from the copyright owner.

No part of this source code nor its compiled form may be used in a commercial
software unless authorized by a license agreement between you and the copyright
owner, Netbula, LLC.

Netbula, LLC is not liable under any theory for any direct or indirect damage
resulted from using this generated source code.

For license information, please contact Netbula at:
Netbula, LLC  P.O. Box 99335 Emeryville CA 94662 USA
----------------------------------------------------------------------------*/
#include <rpc/rpc.h>
#include <malloc.h>
#include <stdio.h>
typedef struct{
	char	Ticker[8];
	double	Low;
	double	High;
	double	Close;
}stkQuote;

bool_t xdr_stkQuote(XDR*, stkQuote*);

#define stkQuote_freeres( pstkQuote ) \
 do { if(pstkQuote) xdr_free ( (xdrproc_t)xdr_stkQuote,(char*)pstkQuote);}while(0)

#define RETURNQUOTE  (unsigned long)(1)
#define BACK_1  (unsigned long)(1)
#define BACK  (unsigned long)(23456)
#ifndef POWERRPC_COMMON_H
#define POWERRPC_COMMON_H
#define ERR_NULL_CLNT -125
#define server_err(x) fprintf(stderr, x)
#define MEM_ASSERT(P) {if(P==0){server_err("Memory exhausted!"); return 0;}}
#define server_msg(x) fprintf(stderr, x)
#define server_exit(x) exit(x)
#endif


#ifdef POWERRPC_XDR

typedef struct returnQuote_in_t{
	stkQuote*	quote;
}returnQuote_in_t;

typedef struct returnQuote_out_t{
}returnQuote_out_t;

bool_t xdr_returnQuote_in_t(XDR*, struct returnQuote_in_t*);
bool_t xdr_returnQuote_out_t(XDR*, struct returnQuote_out_t*);

#endif


#ifdef POWERRPC_CLIENT

int	returnQuote_wrap(CLIENT* pclnt, struct timeval* ptimeout, struct returnQuote_in_t* pIn, struct returnQuote_out_t* pOut);
void	back_bind_handle(CLIENT* pclnt);

CLIENT*	back_bind(char* host, u_long prog, u_long ver,char* proto);

void	back_unbind(CLIENT* pclnt);


#endif


#ifdef POWERRPC_SERVER

void	returnQuote_call(struct returnQuote_in_t* pIn, struct returnQuote_out_t* pOut);
void back_1(struct svc_req* rqstp,SVCXPRT* txp);
SVCXPRT*	back_1_reg(int sock, unsigned long prog_no, unsigned long ver, unsigned long proto);
void	back_1_unmap(unsigned long prog_no, unsigned long ver);

#endif

#define BACK_1_HANDLE BACK_1_handle
#define BACK_1_TIMEOUT BACK_1_timeout
void	returnQuote(stkQuote*	quote);
CLIENT*	back_bind(char* host, u_long prog, u_long ver,char* proto);
void	back_unbind(CLIENT* pclnt);
void	back_bind_handle(CLIENT* pclnt);
SVCXPRT*	back_1_reg(int sock, unsigned long prog_no, unsigned long ver, unsigned long proto);

void	back_1_unmap(unsigned long prog_no, unsigned long ver);

#include <powerrpc.h>
