/*-------------------------Copyright Notice ---------------------------------
                 Copyright (c) 1996  NETBULA, LLC
                    All Rights Reserved

This generated text is a part of the source code of a computer software.
It contains proprietary information and trade secrets of NETBULA, LLC.
No part of this copyrighted work may be reproduced or disclosed by any
means without the prior written permission from the copyright owner.

No part of this source code nor its compiled form may be used in a commercial
software unless authorized by a license agreement between you and the copyright
owner, Netbula, LLC.

Netbula, LLC is not liable under any theory for any direct or indirect damage
resulted from using this generated source code.

For license information, please contact Netbula at:
Netbula, LLC  P.O. Box 99335 Emeryville CA 94662 USA
----------------------------------------------------------------------------*/
#include <rpc/rpc.h>
#include <malloc.h>
#include <stdio.h>
#define GETQUOTE  (unsigned long)(1)
#define OVER_1  (unsigned long)(1)
#define OVER  (unsigned long)(12345)
#ifndef POWERRPC_COMMON_H
#define POWERRPC_COMMON_H
#define ERR_NULL_CLNT -125
#define server_err(x) fprintf(stderr, x)
#define MEM_ASSERT(P) {if(P==0){server_err("Memory exhausted!"); return 0;}}
#define server_msg(x) fprintf(stderr, x)
#define server_exit(x) exit(x)
#endif


#ifdef POWERRPC_XDR

typedef struct getQuote_in_t{
	char*	host;
	char	Tikcer[8];
}getQuote_in_t;

typedef struct getQuote_out_t{
}getQuote_out_t;

bool_t xdr_getQuote_in_t(XDR*, struct getQuote_in_t*);
bool_t xdr_getQuote_out_t(XDR*, struct getQuote_out_t*);

#endif


#ifdef POWERRPC_CLIENT

int	getQuote_wrap(CLIENT* pclnt, struct timeval* ptimeout, struct getQuote_in_t* pIn, struct getQuote_out_t* pOut);
void	over_bind_handle(CLIENT* pclnt);

CLIENT*	over_bind(char* host, u_long prog, u_long ver,char* proto);

void	over_unbind(CLIENT* pclnt);


#endif


#ifdef POWERRPC_SERVER

void	getQuote_call(struct getQuote_in_t* pIn, struct getQuote_out_t* pOut);
void over_1(struct svc_req* rqstp,SVCXPRT* txp);
SVCXPRT*	over_1_reg(int sock, unsigned long prog_no, unsigned long ver, unsigned long proto);
void	over_1_unmap(unsigned long prog_no, unsigned long ver);

#endif

#define OVER_1_HANDLE OVER_1_handle
#define OVER_1_TIMEOUT OVER_1_timeout
void	getQuote(char*	host, char	Tikcer[8]);
CLIENT*	over_bind(char* host, u_long prog, u_long ver,char* proto);
void	over_unbind(CLIENT* pclnt);
void	over_bind_handle(CLIENT* pclnt);
SVCXPRT*	over_1_reg(int sock, unsigned long prog_no, unsigned long ver, unsigned long proto);

void	over_1_unmap(unsigned long prog_no, unsigned long ver);

#include <powerrpc.h>
