/*-------------------------Copyright Notice ---------------------------------
                 Copyright (c) 1996  NETBULA, LLC
                    All Rights Reserved

This generated text is a part of the source code of a computer software.
It contains proprietary information and trade secrets of NETBULA, LLC.
No part of this copyrighted work may be reproduced or disclosed by any
means without the prior written permission from the copyright owner.

No part of this source code nor its compiled form may be used in a commercial
software unless authorized by a license agreement between you and the copyright
owner, Netbula, LLC.

Netbula, LLC is not liable under any theory for any direct or indirect damage
resulted from using this generated source code.

For license information, please contact Netbula at:
Netbula, LLC  P.O. Box 99335 Emeryville CA 94662 USA
----------------------------------------------------------------------------*/
#define POWERRPC_XDR
#define POWERRPC_CLIENT
#include "over.h"
static char *version_str="@(#)powerRPC V1.1 MxTF";
;
CLIENT* OVER_1_handle = 0;
struct timeval OVER_1_timeout = {60, 0};
int	getQuote_wrap(CLIENT* pclnt, struct timeval* ptimeout, struct getQuote_in_t* pIn, struct getQuote_out_t* pOut){
	int ret_code;
	if(pclnt==(CLIENT*)0) {
		return ERR_NULL_CLNT;
	}
	ret_code = clnt_call(pclnt,
	                     GETQUOTE,
	                     (xdrproc_t)xdr_getQuote_in_t,
	                     (void*)pIn,
	                     (xdrproc_t)xdr_getQuote_out_t,
	                     (void*)pOut,
	                     *ptimeout
	                    );

	if(ret_code != RPC_SUCCESS) {
		clnt_perror(pclnt,"getQuote");
	}
	return ret_code;
}

void	getQuote(char*	host, char	Tikcer[8]){
	getQuote_in_t	Input;
	getQuote_out_t	Output;

	struct timeval timeOut;
	memset(&Output, 0, sizeof(Output));
	Input.host = host;
	memcpy(Input.Tikcer, Tikcer, sizeof(Input.Tikcer));

	timeOut = OVER_1_TIMEOUT;
	getQuote_wrap(OVER_1_HANDLE, &timeOut, &Input, &Output);

}

CLIENT*	over_bind(char* host, u_long prog, u_long ver,char* proto) {
	char * protoc = "tcp";
	ver = (ver==0? OVER_1 : ver);
	prog = (prog==0? OVER : prog );
	protoc = (proto==(char*)0? protoc : proto);
	OVER_1_handle = clnt_create(host, prog, ver, protoc);
	return OVER_1_handle;
}

void	over_bind_handle(CLIENT* pclnt){
	OVER_1_handle = pclnt;
}

void	over_unbind(CLIENT* pclnt) {
	pclnt  = (pclnt==0? OVER_1_handle: pclnt);
	if(pclnt)
		clnt_destroy(pclnt);
}

